import {Router} from 'express';
import {getConnection} from "typeorm";
import {Track} from "../models/Track"

var route = Router();
const manager = getConnection().manager;

route.get('/', async (req, res, next) => {
    let tracks = manager.find(Track);
    res.send(tracks);
});

route.post('/', async (req, res, next) => {
    let track = new Track();
    track.length=req.body.length;
    track.name=req.body.name;

    try {
        let newUser = await manager.save(track);
        res.send(newUser);
    } catch (error) {
        res.send(error);
    }
    
});

export default route;